diff --git "a/C:\\Users\\Ben\\Desktop\\game1-erik-oos_dump.txt" "b/C:\\Users\\Ben\\Desktop\\game1-hbruno-oos_dump.txt"
index 2a81c25..7a13bae 100644
--- "a/C:\\Users\\Ben\\Desktop\\game1-erik-oos_dump.txt"
+++ "b/C:\\Users\\Ben\\Desktop\\game1-hbruno-oos_dump.txt"
@@ -358980,27 +358980,25 @@ entities:
         "value": 550
       }
     ],
-    "7313": [
+    "360": [
       {
-        "variable": "Health/Max",
-        "value": 1200.1000000000001
+        "variable": "Builder/Rate",
+        "value": 1.1
       },
       {
-        "variable": "Cost/BuildTime",
-        "value": 58.300000000000004
-      }
-    ],
-    "7319": [
+        "variable": "ResourceGatherer/BaseSpeed",
+        "value": 1.1
+      },
       {
-        "variable": "Health/Max",
-        "value": 1200.1000000000001
+        "variable": "Builder/Rate",
+        "value": 1.1
       },
       {
-        "variable": "Cost/BuildTime",
-        "value": 58.300000000000004
+        "variable": "ResourceGatherer/BaseSpeed",
+        "value": 1.1
       }
     ],
-    "360": [
+    "361": [
       {
         "variable": "Builder/Rate",
         "value": 1.1
@@ -359018,23 +359016,15 @@ entities:
         "value": 1.1
       }
     ],
-    "7574": [
+    "362": [
       {
-        "variable": "Health/Max",
-        "value": 1200.1000000000001
+        "variable": "Builder/Rate",
+        "value": 1.1
       },
       {
-        "variable": "Cost/BuildTime",
-        "value": 58.300000000000004
-      }
-    ],
-    "419": [
-      {
         "variable": "ResourceGatherer/BaseSpeed",
         "value": 1.1
-      }
-    ],
-    "361": [
+      },
       {
         "variable": "Builder/Rate",
         "value": 1.1
@@ -359052,17 +359042,41 @@ entities:
         "value": 1.1
       }
     ],
-    "7634": [
+    "363": [
       {
-        "variable": "Health/Max",
-        "value": 1200.1000000000001
+        "variable": "Builder/Rate",
+        "value": 1.1
       },
       {
-        "variable": "Cost/BuildTime",
-        "value": 58.300000000000004
+        "variable": "ResourceGatherer/BaseSpeed",
+        "value": 1.1
       }
     ],
-    "362": [
+    "411": [
+      {
+        "variable": "ResourceGatherer/Rates/food.fruit",
+        "value": 1.5
+      }
+    ],
+    "412": [
+      {
+        "variable": "ResourceGatherer/Rates/food.fruit",
+        "value": 1.5
+      }
+    ],
+    "413": [
+      {
+        "variable": "ResourceGatherer/Rates/food.fruit",
+        "value": 1.5
+      }
+    ],
+    "414": [
+      {
+        "variable": "ResourceGatherer/Rates/food.fruit",
+        "value": 1.5
+      }
+    ],
+    "415": [
       {
         "variable": "Builder/Rate",
         "value": 1.1
@@ -359086,16 +359100,26 @@ entities:
       {
         "variable": "ResourceGatherer/BaseSpeed",
         "value": 1.1
-      }
-    ],
-    "7673": [
+      },
       {
-        "variable": "Health/Max",
-        "value": 1200.1000000000001
+        "variable": "Builder/Rate",
+        "value": 1.1
       },
       {
-        "variable": "Cost/BuildTime",
-        "value": 58.300000000000004
+        "variable": "ResourceGatherer/BaseSpeed",
+        "value": 1.1
+      },
+      {
+        "variable": "ResourceGatherer/Rates/food.fruit",
+        "value": 0.75
+      },
+      {
+        "variable": "Builder/Rate",
+        "value": 1.1
+      },
+      {
+        "variable": "ResourceGatherer/BaseSpeed",
+        "value": 1.1
       }
     ],
     "416": [
@@ -359152,7 +359176,7 @@ entities:
         "value": 1.1
       }
     ],
-    "418": [
+    "417": [
       {
         "variable": "Builder/Rate",
         "value": 1.1
@@ -359244,9 +359268,7 @@ entities:
       {
         "variable": "ResourceGatherer/BaseSpeed",
         "value": 1.1
-      }
-    ],
-    "417": [
+      },
       {
         "variable": "Builder/Rate",
         "value": 1.1
@@ -359272,10 +359294,6 @@ entities:
         "value": 1.1
       },
       {
-        "variable": "ResourceGatherer/Rates/food.fruit",
-        "value": 0.75
-      },
-      {
         "variable": "Builder/Rate",
         "value": 1.1
       },
@@ -359322,7 +359340,9 @@ entities:
       {
         "variable": "ResourceGatherer/BaseSpeed",
         "value": 1.1
-      },
+      }
+    ],
+    "418": [
       {
         "variable": "Builder/Rate",
         "value": 1.1
@@ -359348,6 +359368,10 @@ entities:
         "value": 1.1
       },
       {
+        "variable": "ResourceGatherer/Rates/food.fruit",
+        "value": 0.75
+      },
+      {
         "variable": "Builder/Rate",
         "value": 1.1
       },
@@ -359412,50 +359436,60 @@ entities:
         "value": 1.1
       }
     ],
-    "415": [
-      {
-        "variable": "Builder/Rate",
-        "value": 1.1
-      },
+    "419": [
       {
         "variable": "ResourceGatherer/BaseSpeed",
         "value": 1.1
-      },
+      }
+    ],
+    "7313": [
       {
-        "variable": "Builder/Rate",
-        "value": 1.1
+        "variable": "Health/Max",
+        "value": 1200.1000000000001
       },
       {
-        "variable": "ResourceGatherer/BaseSpeed",
-        "value": 1.1
-      },
+        "variable": "Cost/BuildTime",
+        "value": 58.300000000000004
+      }
+    ],
+    "7319": [
       {
-        "variable": "Builder/Rate",
-        "value": 1.1
+        "variable": "Health/Max",
+        "value": 1200.1000000000001
       },
       {
-        "variable": "ResourceGatherer/BaseSpeed",
-        "value": 1.1
-      },
+        "variable": "Cost/BuildTime",
+        "value": 58.300000000000004
+      }
+    ],
+    "7574": [
       {
-        "variable": "Builder/Rate",
-        "value": 1.1
+        "variable": "Health/Max",
+        "value": 1200.1000000000001
       },
       {
-        "variable": "ResourceGatherer/BaseSpeed",
-        "value": 1.1
-      },
+        "variable": "Cost/BuildTime",
+        "value": 58.300000000000004
+      }
+    ],
+    "7634": [
       {
-        "variable": "ResourceGatherer/Rates/food.fruit",
-        "value": 0.75
+        "variable": "Health/Max",
+        "value": 1200.1000000000001
       },
       {
-        "variable": "Builder/Rate",
-        "value": 1.1
+        "variable": "Cost/BuildTime",
+        "value": 58.300000000000004
+      }
+    ],
+    "7673": [
+      {
+        "variable": "Health/Max",
+        "value": 1200.1000000000001
       },
       {
-        "variable": "ResourceGatherer/BaseSpeed",
-        "value": 1.1
+        "variable": "Cost/BuildTime",
+        "value": 58.300000000000004
       }
     ],
     "8752": [
@@ -359838,30 +359872,6 @@ entities:
         "value": 55.00000000000001
       }
     ],
-    "411": [
-      {
-        "variable": "ResourceGatherer/Rates/food.fruit",
-        "value": 1.5
-      }
-    ],
-    "412": [
-      {
-        "variable": "ResourceGatherer/Rates/food.fruit",
-        "value": 1.5
-      }
-    ],
-    "413": [
-      {
-        "variable": "ResourceGatherer/Rates/food.fruit",
-        "value": 1.5
-      }
-    ],
-    "414": [
-      {
-        "variable": "ResourceGatherer/Rates/food.fruit",
-        "value": 1.5
-      }
-    ],
     "8780": [
       {
         "variable": "ResourceGatherer/Rates/food.fruit",
@@ -360348,16 +360358,6 @@ entities:
         "value": 58.300000000000004
       }
     ],
-    "363": [
-      {
-        "variable": "Builder/Rate",
-        "value": 1.1
-      },
-      {
-        "variable": "ResourceGatherer/BaseSpeed",
-        "value": 1.1
-      }
-    ],
     "14050": [
       {
         "variable": "Health/Max",
@@ -1289495,228 +1289495,14 @@ entities:
   "isInfinite": false
 }
 
-- id: 536870914
-  type: local
-  Position:
-    in world: false
-    territory: 2
-    rot x: 0
-    rot y: 0
-    rot z: 0
-    altitude: 0
-    relative: true
-    floating: false
-    constructionprogress: 0
-    anchor: "upright"
-    turret parent: 0
-  Vision:
-  VisualActor:
-    base actor: "props/special/common/waypoint_flag.xml"
-    r: 1
-    g: 1
-    b: 1
-    anim run threshold: 0
-    anim name: "idle"
-    anim once: false
-    anim speed: 1
-    sound group: ""
-    anim desync: 0.05
-    anim sync repeat time: 0
-    seed: 536870914
-    actor: "props/special/common/waypoint_flag.xml"
-
-- id: 536870917
-  type: local
-  Position:
-    in world: false
-    territory: 2
-    rot x: 0
-    rot y: 0
-    rot z: 0
-    altitude: 0
-    relative: true
-    floating: false
-    constructionprogress: 0
-    anchor: "upright"
-    turret parent: 0
-  Vision:
-  VisualActor:
-    base actor: "props/special/common/waypoint_flag.xml"
-    r: 1
-    g: 1
-    b: 1
-    anim run threshold: 0
-    anim name: "idle"
-    anim once: false
-    anim speed: 1
-    sound group: ""
-    anim desync: 0.05
-    anim sync repeat time: 0
-    seed: 536870917
-    actor: "props/special/common/waypoint_flag.xml"
-
-- id: 536870920
-  type: local
-  Decay:
-  Footprint:
-  Obstruction:
-    active: false
-    moving: false
-    control group: 536870920
-    control group 2: 0
-    tag: 0
-    flags: 5
-  Ownership:
-    owner: 4
-  Position:
-    in world: true
-    x: 386.16221
-    y: -0.8504
-    z: 409.3348
-    last x: 386.16221
-    last y diff: -0.0007
-    last z: 409.3348
-    territory: 2
-    rot x: 0
-    rot y: -0.59772
-    rot z: 0
-    altitude: -0.8504
-    relative: true
-    floating: false
-    constructionprogress: 0
-    anchor: "pitch"
-    turret parent: 0
-  UnitMotion:
-    radius: 1
-    state: 0
-    path state: 0
-    pass class: "default"
-    ticket: 0
-    target entity: 0
-    target pos x: 0
-    target pos y: 0
-    target offset x: 0
-    target offset y: 0
-    target min range: 0
-    target max range: 0
-    speed: 16.5
-    moving: false
-    facePointAfterMove: true
-    length: 0
-    length: 0
-    type: 0
-    goal x: 0
-    goal z: 0
-    goal u x: 0
-    goal u z: 0
-    goal v x: 0
-    goal v z: 0
-    goal hw: 0
-    goal hh: 0
-  Vision:
-  VisualActor:
-    base actor: "units/romans/cavalry_spearman_b.xml"
-    r: 1
-    g: 1
-    b: 1
-    anim run threshold: 0
-    anim name: "death"
-    anim once: true
-    anim speed: 1
-    sound group: ""
-    anim desync: 0.05
-    anim sync repeat time: 0
-    seed: 312
-    actor: "units/romans/cavalry_spearman_b.xml"
-  Attack:
-  Identity:
-  Sound:
-
-- id: 536870924
-  type: local
-  Decay:
-  Footprint:
-  Obstruction:
-    active: false
-    moving: false
-    control group: 536870924
-    control group 2: 0
-    tag: 0
-    flags: 5
-  Ownership:
-    owner: 4
-  Position:
-    in world: true
-    x: 927.96656
-    y: 0
-    z: 297.71624
-    last x: 927.96656
-    last y diff: 0
-    last z: 297.71624
-    territory: 4
-    rot x: 0
-    rot y: -0.30138
-    rot z: 0
-    altitude: 0
-    relative: true
-    floating: false
-    constructionprogress: 0
-    anchor: "upright"
-    turret parent: 0
-  UnitMotion:
-    radius: 0.8
-    state: 0
-    path state: 0
-    pass class: "default"
-    ticket: 0
-    target entity: 0
-    target pos x: 0
-    target pos y: 0
-    target offset x: 0
-    target offset y: 0
-    target min range: 0
-    target max range: 0
-    speed: 9.5
-    moving: false
-    facePointAfterMove: true
-    length: 0
-    length: 0
-    type: 0
-    goal x: 0
-    goal z: 0
-    goal u x: 0
-    goal u z: 0
-    goal v x: 0
-    goal v z: 0
-    goal hw: 0
-    goal hh: 0
-  Vision:
-  VisualActor:
-    base actor: "units/romans/female_citizen.xml"
-    r: 1
-    g: 1
-    b: 1
-    anim run threshold: 0
-    anim name: "death"
-    anim once: true
-    anim speed: 1
-    sound group: ""
-    anim desync: 0.05
-    anim sync repeat time: 0
-    seed: 13437
-    actor: "units/romans/female_citizen.xml"
-  Attack:
-  Identity:
-  Sound:
-
-- id: 536870926
+- id: 536870912
   type: local
   Decay:
   Footprint:
   Obstruction:
     active: false
     moving: false
-    control group: 536870926
+    control group: 536870912
     control group 2: 0
     tag: 0
     flags: 5
@@ -1289786,14 +1289572,14 @@ entities:
   Identity:
   Sound:
 
-- id: 536870928
+- id: 536870913
   type: local
   Decay:
   Footprint:
   Obstruction:
     active: false
     moving: false
-    control group: 536870928
+    control group: 536870913
     control group 2: 0
     tag: 0
     flags: 5