Index: binaries/data/mods/public/simulation/components/EntityLimits.js
===================================================================
--- binaries/data/mods/public/simulation/components/EntityLimits.js	(révision 16085)
+++ binaries/data/mods/public/simulation/components/EntityLimits.js	(copie de travail)
@@ -13,9 +13,14 @@
 		"</Limits>" +
 		"<LimitChangers>" +
 			"<Monument>" +
-				"<CivCentre>2</CivCentre>" +
+				"<CivilCentre>2</CivilCentre>" +
 			"</Monument>" +
 		"</LimitChangers>" +
+		"<LimitRemovers>" +
+			"<CivilCentre>" +
+				"<RequiredTechs datatype=\"tokens\">town_phase</RequiredTechs>" +
+			"</CivilCentre>" +
+		"</LimitRemovers>" +
 	"</a:example>" +
 	"<element name='Limits'>" +
 		"<zeroOrMore>" +
@@ -37,13 +42,25 @@
 				"</zeroOrMore>" +
 			"</element>" +
 		"</zeroOrMore>" +
+	"</element>" +
+	"<element name='LimitRemovers'>" +
+		"<zeroOrMore>" +
+			"<element a:help='Specifies a category of building/unit on which to remove this limit. The limit will be removed if all the followings requirements are satisfied'>" +
+				"<anyName />" +
+				"<oneOrMore>" +
+					"<element a:help='Possible requirements are: RequiredTechs and RequiredClasses'>" +
+						"<anyName />" +
+						"<attribute name='datatype'>" +
+							"<value>tokens</value>" +
+						"</attribute>" +
+						"<text/>" +
+					"</element>" +
+				"</oneOrMore>" +
+			"</element>" +
+		"</zeroOrMore>" +
 	"</element>";
 
 
-/*
- *	TODO: Use an inheriting player_{civ}.xml template for civ-specific limits
- */
-
 const TRAINING = "training";
 const BUILD = "build";
 
@@ -52,23 +69,33 @@
 	this.limit = {};
 	this.count = {};
 	this.changers = {};
+	this.removers = {};
+	this.removedLimit = {};
 	for (var category in this.template.Limits)
 	{
 		this.limit[category] = +this.template.Limits[category];
 		this.count[category] = 0;
-		if (!(category in this.template.LimitChangers))
-			continue;
-		this.changers[category] = {};
-		for (var c in this.template.LimitChangers[category])
-			this.changers[category][c] = +this.template.LimitChangers[category][c];
+		if (category in this.template.LimitChangers)
+		{
+			this.changers[category] = {};
+			for (var c in this.template.LimitChangers[category])
+				this.changers[category][c] = +this.template.LimitChangers[category][c];
+		}
+		if (category in this.template.LimitRemovers)
+		{
+			this.removedLimit[category] = this.limit[category];	// keep a copy of removeable limits for possible restoration
+			this.removers[category] = {};
+			for (var c in this.template.LimitRemovers[category])
+			{
+				this.removers[category][c] = this.template.LimitRemovers[category][c]._string.split(/\s+/);
+				if (c === "RequiredClasses")
+					for (var cls of this.removers[category][c])
+						this.count["_"+cls] = 0;
+			}
+		}
 	}
 };
 
-EntityLimits.prototype.ChangeLimit = function(category, value)
-{
-	this.limit[category] += value;
-};
-
 EntityLimits.prototype.ChangeCount = function(category, value)
 {
 	if (this.count[category] !== undefined)
@@ -90,6 +117,34 @@
 	return this.changers;
 };
 
+EntityLimits.prototype.UpdateLimitsFromTech = function(tech)
+{
+	for (var category in this.removers)
+		if ("RequiredTechs" in this.removers[category] && this.removers[category]["RequiredTechs"].indexOf(tech) !== -1)
+			this.removers[category]["RequiredTechs"].splice(this.removers[category]["RequiredTechs"].indexOf(tech), 1);
+
+	this.UpdateLimitRemoval();
+};
+
+EntityLimits.prototype.UpdateLimitRemoval = function()
+{
+	for (var category in this.removers)
+	{
+		var nolimit = true;
+		if ("RequiredTechs" in this.removers[category])
+			nolimit = !this.removers[category]["RequiredTechs"].length;
+		if ("RequiredClasses" in this.removers[category])
+			for (var cls of this.removers[category]["RequiredClasses"])
+				nolimit = nolimit && this.count["_"+cls] > 0;
+
+		if (nolimit && this.limit[category] !== undefined)
+			this.limit[category] = undefined;
+		else if (!nolimit && this.limit[category] === undefined)
+			this.limit[category] = this.removedLimit[category];
+	}
+};
+
+
 EntityLimits.prototype.AllowedToCreate = function(limitType, category, count)
 {
 	// Allow unspecified categories and those with no limit
@@ -137,7 +192,7 @@
 };
 
 EntityLimits.prototype.OnGlobalOwnershipChanged = function(msg)
-{	
+{
 	// check if we are adding or removing an entity from this player
 	var cmpPlayer = Engine.QueryInterface(this.entity, IID_Player);
 	if (!cmpPlayer)
@@ -161,12 +216,13 @@
 	if (cmpTrainingRestrictions)
 		category = cmpTrainingRestrictions.GetCategory();
 	if (category)
-		this.ChangeCount(category,modifier);
+		this.ChangeCount(category, modifier);
 
 	// Update entity limits
 	var cmpIdentity = Engine.QueryInterface(msg.entity, IID_Identity);
 	if (!cmpIdentity)
 		return;
+
 	// foundations shouldn't change the entity limits until they're completed
 	var cmpFoundation = Engine.QueryInterface(msg.entity, IID_Foundation);
 	if (cmpFoundation)
@@ -175,7 +231,20 @@
 	for (var category in this.changers)
 		for (var c in this.changers[category])
 			if (classes.indexOf(c) >= 0)
-				this.ChangeLimit(category, modifier * this.changers[category][c]);
+			{
+				if (this.limit[category])
+					this.limit[category] += modifier * this.changers[category][c];
+				if (this.removedLimit[category])	// update removed limits in case we want to restore it
+					this.removedLimit[category] += modifier * this.changers[category][c];
+			}
+
+	for (var category in this.removers)
+		if ("RequiredClasses" in this.removers[category])
+			for (var cls of this.removers[category]["RequiredClasses"])
+				if (classes.indexOf(cls) !== -1)
+					this.ChangeCount("_"+cls, modifier);
+
+	this.UpdateLimitRemoval();
 };
 
 Engine.RegisterComponentType(IID_EntityLimits, "EntityLimits", EntityLimits);
Index: binaries/data/mods/public/simulation/components/TechnologyManager.js
===================================================================
--- binaries/data/mods/public/simulation/components/TechnologyManager.js	(révision 16085)
+++ binaries/data/mods/public/simulation/components/TechnologyManager.js	(copie de travail)
@@ -346,6 +346,11 @@
 	var cmpRangeManager = Engine.QueryInterface(SYSTEM_ENTITY, IID_RangeManager);
 	var ents = cmpRangeManager.GetEntitiesByPlayer(playerID);
 
+	// Change the EntityLimit if any
+	var cmpPlayerEntityLimits = QueryPlayerIDInterface(playerID, IID_EntityLimits);
+	if (cmpPlayerEntityLimits)
+		cmpPlayerEntityLimits.UpdateLimitsFromTech(tech);
+
 	// Call the related trigger event 
 	var cmpTrigger = Engine.QueryInterface(SYSTEM_ENTITY, IID_Trigger);
 	cmpTrigger.CallEvent("ResearchFinished", {"player": playerID, "tech": tech});
Index: binaries/data/mods/public/simulation/helpers/Player.js
===================================================================
--- binaries/data/mods/public/simulation/helpers/Player.js	(révision 16085)
+++ binaries/data/mods/public/simulation/helpers/Player.js	(copie de travail)
@@ -25,6 +25,9 @@
 	var cmpPlayerManager = Engine.QueryInterface(SYSTEM_ENTITY, IID_PlayerManager);
 	var numPlayers = cmpPlayerManager.GetNumPlayers();
 
+	var cmpTemplateManager = Engine.QueryInterface(SYSTEM_ENTITY, IID_TemplateManager);
+	var templatesList = cmpTemplateManager.FindAllTemplates(false);
+
 	// Remove existing players or add new ones
 	if (newPlayers)
 	{
@@ -35,11 +38,33 @@
 		else
 			warn("Player.js: Setup has no player data - using defaults");
 
+		for (var i = 1; i < Math.min(numPlayers, settingsNumPlayers); ++i)
+		{
+			var pDefs = playerDefaults ? playerDefaults[i] : {};
+			var pData = settings.PlayerData ? settings.PlayerData[i-1] : {};
+			var civ = getSetting(pData, pDefs, "Civ");
+			var neededTemplate = "special/player";
+			if (templatesList.indexOf("special/"+civ+"_player") !== -1)
+				neededTemplate = "special/"+civ+"_player";
+			var entID = cmpPlayerManager.GetPlayerByID(i);
+			if (cmpTemplateManager.GetCurrentTemplateName(entID) !== neededTemplate)
+				warn("We need to reload the player " + i);
+		}
+
+
 		while (settingsNumPlayers > numPlayers)
 		{
 			// Add player entity to engine
-			// TODO: Get player template name from civ data
-			var entID = Engine.AddEntity("special/player");
+			var playerTemplate = "special/player";
+			if (numPlayers > 0)
+			{
+				var pDefs = playerDefaults ? playerDefaults[numPlayers] : {};
+				var pData = settings.PlayerData ? settings.PlayerData[numPlayers-1] : {};
+				var civ = getSetting(pData, pDefs, "Civ");
+				if (templatesList.indexOf("special/"+civ+"_player") !== -1)
+					playerTemplate = "special/"+civ+"_player";
+			}
+			var entID = Engine.AddEntity(playerTemplate);
 			var cmpPlayer = Engine.QueryInterface(entID, IID_Player);
 			if (!cmpPlayer)
 				throw("Player.js: Error creating player entity " + numPlayers);
Index: binaries/data/mods/public/simulation/templates/special/player.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/special/player.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/special/player.xml	(copie de travail)
@@ -15,6 +15,7 @@
   </BattleDetection>
   <EntityLimits>
     <Limits>
+      <CivilCentre>1</CivilCentre>
       <DefenseTower>30</DefenseTower>
       <Fortress>10</Fortress>
       <Wonder>1</Wonder>
@@ -41,6 +42,11 @@
         <PtolemyIV>4</PtolemyIV>
       </Juggernaut>
     </LimitChangers>
+    <LimitRemovers>
+      <CivilCentre>
+        <RequiredTechs datatype="tokens">phase_town</RequiredTechs>
+      </CivilCentre>
+    </LimitRemovers>
   </EntityLimits>
   <Player/>
   <StatisticsTracker/>
Index: binaries/data/mods/public/simulation/templates/special/ptol_player.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/special/ptol_player.xml	(révision 0)
+++ binaries/data/mods/public/simulation/templates/special/ptol_player.xml	(copie de travail)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Entity parent="special/player">
+  <EntityLimits>
+    <LimitRemovers>
+      <CivilCentre>
+        <RequiredTechs datatype="tokens">phase_town</RequiredTechs>
+        <RequiredClasses datatype="tokens">Hero</RequiredClasses>
+      </CivilCentre>
+    </LimitRemovers>
+  </EntityLimits>
+</Entity>
Index: binaries/data/mods/public/simulation/templates/special/sele_player.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/special/sele_player.xml	(révision 0)
+++ binaries/data/mods/public/simulation/templates/special/sele_player.xml	(copie de travail)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Entity parent="special/player">
+  <EntityLimits>
+    <LimitRemovers>
+      <CivilCentre>
+        <RequiredTechs datatype="tokens">phase_town</RequiredTechs>
+        <RequiredClasses datatype="tokens">Hero</RequiredClasses>
+      </CivilCentre>
+    </LimitRemovers>
+  </EntityLimits>
+</Entity>
Index: binaries/data/mods/public/simulation/templates/structures/ptol_military_colony.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/ptol_military_colony.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/structures/ptol_military_colony.xml	(copie de travail)
@@ -3,6 +3,7 @@
   <Attack disable=""/>
   <BuildRestrictions>
     <Territory>own neutral</Territory>
+    <Category>Colony</Category>
     <Distance>
       <FromClass>Colony</FromClass>
       <MinDistance>120</MinDistance>
@@ -42,7 +43,7 @@
   <ProductionQueue>
     <Entities datatype="tokens">
       units/ptol_infantry_spearman_2_b
-	  units/ptol_infantry_swordsman_b
+      units/ptol_infantry_swordsman_b
       units/ptol_cavalry_spearman_b
       units/ptol_cavalry_javelinist_b
     </Entities>
Index: binaries/data/mods/public/simulation/templates/structures/sele_military_colony.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/sele_military_colony.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/structures/sele_military_colony.xml	(copie de travail)
@@ -3,6 +3,7 @@
   <Attack disable=""/>
   <BuildRestrictions>
     <Territory>own neutral</Territory>
+    <Category>Colony</Category>
     <Distance>
       <FromClass>Colony</FromClass>
       <MinDistance>120</MinDistance>
@@ -41,8 +42,8 @@
   </Obstruction>
   <ProductionQueue>
     <Entities datatype="tokens">
-	  units/sele_infantry_swordsman_b
-	  units/sele_infantry_archer_b
+      units/sele_infantry_swordsman_b
+      units/sele_infantry_archer_b
       units/sele_cavalry_spearman_b
     </Entities>
     <Technologies datatype="tokens">
Index: binaries/data/mods/public/simulation/templates/template_structure_civic_civil_centre.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_structure_civic_civil_centre.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/template_structure_civic_civil_centre.xml	(copie de travail)
@@ -70,7 +70,6 @@
     </Classes>
     <VisibleClasses datatype="tokens">CivilCentre</VisibleClasses>
     <Icon>structures/civic_centre.png</Icon>
-    <RequiredTechnology>phase_town</RequiredTechnology>
   </Identity>
   <Loot>
     <xp>200</xp>
Index: binaries/data/mods/public/simulation/templates/units/athen_hero_pericles.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/athen_hero_pericles.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/athen_hero_pericles.xml	(copie de travail)
@@ -23,7 +23,7 @@
   </Auras>
   <Identity>
     <Civ>athen</Civ>
-	<GenericName>Pericles</GenericName>
+    <GenericName>Pericles</GenericName>
     <SpecificName>Periklēs</SpecificName>
     <History>Pericles was the foremost Athenian politician of the 5th Century.</History>
     <Icon>units/athen_hero_pericles.png</Icon>
Index: binaries/data/mods/public/simulation/templates/units/ptol_hero_cleopatra.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_hero_cleopatra.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/ptol_hero_cleopatra.xml	(copie de travail)
@@ -13,12 +13,6 @@
       <AuraDescription>Egyptian units fight 20% faster in her vision range.</AuraDescription>
     </unit_attack_speed_20>
   </Auras>
-  <Builder>
-    <Rate>1.0</Rate>
-    <Entities datatype="tokens">
-      structures/{civ}_civil_centre
-    </Entities>
-  </Builder>
   <Identity>
     <Civ>ptol</Civ>
     <GenericName>Cleopatra VII</GenericName>
Index: binaries/data/mods/public/simulation/templates/units/ptol_hero_ptolemy_I.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_hero_ptolemy_I.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/ptol_hero_ptolemy_I.xml	(copie de travail)
@@ -24,12 +24,6 @@
       <AuraDescription>Mercenaries cost -50% resources during his lifetime.</AuraDescription>
     </Aura2>
   </Auras>
-  <Builder>
-    <Rate>1.0</Rate>
-    <Entities datatype="tokens">
-      structures/{civ}_civil_centre
-    </Entities>
-  </Builder>
   <Identity>
     <Civ>ptol</Civ>
     <GenericName>Ptolemy I "Savior"</GenericName>
Index: binaries/data/mods/public/simulation/templates/units/ptol_hero_ptolemy_IV.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_hero_ptolemy_IV.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/ptol_hero_ptolemy_IV.xml	(copie de travail)
@@ -11,12 +11,6 @@
       <AuraDescription>Egyptian Pikemen have 40% greater health during his lifetime.</AuraDescription>
 	</Aura1>
   </Auras>
-  <Builder>
-    <Rate>1.0</Rate>
-    <Entities datatype="tokens">
-      structures/{civ}_civil_centre
-    </Entities>
-  </Builder>
   <Identity>
     <Civ>ptol</Civ>
     <GenericName>Ptolemy IV "Father Loving"</GenericName>
Index: binaries/data/mods/public/simulation/templates/units/ptol_infantry_archer_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_infantry_archer_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/ptol_infantry_archer_b.xml	(copie de travail)
@@ -2,7 +2,6 @@
 <Entity parent="template_unit_infantry_ranged_archer">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
       structures/ptol_military_colony
       structures/ptol_lighthouse
       structures/ptol_library
Index: binaries/data/mods/public/simulation/templates/units/ptol_infantry_javelinist_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_infantry_javelinist_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/ptol_infantry_javelinist_b.xml	(copie de travail)
@@ -2,7 +2,6 @@
 <Entity parent="template_unit_infantry_ranged_javelinist">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
       structures/ptol_military_colony
       structures/ptol_lighthouse
       structures/ptol_library
Index: binaries/data/mods/public/simulation/templates/units/ptol_infantry_slinger_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_infantry_slinger_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/ptol_infantry_slinger_b.xml	(copie de travail)
@@ -2,7 +2,6 @@
 <Entity parent="template_unit_infantry_ranged_slinger">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
       structures/ptol_military_colony
       structures/ptol_lighthouse
       structures/ptol_library
Index: binaries/data/mods/public/simulation/templates/units/ptol_infantry_spearman_2_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_infantry_spearman_2_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/ptol_infantry_spearman_2_b.xml	(copie de travail)
@@ -2,7 +2,6 @@
 <Entity parent="template_unit_infantry_melee_spearman">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
       structures/ptol_military_colony
       structures/ptol_lighthouse
       structures/ptol_library
Index: binaries/data/mods/public/simulation/templates/units/ptol_infantry_spearman_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_infantry_spearman_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/ptol_infantry_spearman_b.xml	(copie de travail)
@@ -2,7 +2,6 @@
 <Entity parent="template_unit_infantry_melee_pikeman">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
       structures/ptol_military_colony
       structures/ptol_lighthouse
       structures/ptol_library
Index: binaries/data/mods/public/simulation/templates/units/ptol_infantry_swordsman_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_infantry_swordsman_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/ptol_infantry_swordsman_b.xml	(copie de travail)
@@ -2,7 +2,6 @@
 <Entity parent="template_unit_infantry_melee_swordsman">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
       structures/ptol_military_colony
       structures/ptol_lighthouse
       structures/ptol_library
Index: binaries/data/mods/public/simulation/templates/units/ptol_support_female_citizen.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/ptol_support_female_citizen.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/ptol_support_female_citizen.xml	(copie de travail)
@@ -1,10 +1,5 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_support_female_citizen">
-  <Builder>
-    <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
-    </Entities>
-  </Builder>
   <Identity>
     <Civ>ptol</Civ>
     <SpecificName>Gýnē Aigyptiakós</SpecificName>
Index: binaries/data/mods/public/simulation/templates/units/sele_hero_antiochus_great.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/sele_hero_antiochus_great.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/sele_hero_antiochus_great.xml	(copie de travail)
@@ -13,12 +13,6 @@
       <AuraDescription>All cavalry gains +2 levels of all armour types.</AuraDescription>
     </Aura1>
   </Auras>
-  <Builder>
-    <Rate>1.0</Rate>
-    <Entities datatype="tokens">
-      structures/{civ}_civil_centre
-    </Entities>
-  </Builder>
   <Identity>
     <Civ>sele</Civ>
     <GenericName>Antiochus III "The Great"</GenericName>
Index: binaries/data/mods/public/simulation/templates/units/sele_hero_antiochus_righteous.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/sele_hero_antiochus_righteous.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/sele_hero_antiochus_righteous.xml	(copie de travail)
@@ -13,12 +13,6 @@
       <AuraDescription>All nearby enemy buildings, siege engines, and ships have their health reduced by 20%.</AuraDescription>
     </Aura1>
   </Auras>
-  <Builder>
-    <Rate>1.0</Rate>
-    <Entities datatype="tokens">
-      structures/{civ}_civil_centre
-    </Entities>
-  </Builder>
   <Identity>
     <Civ>sele</Civ>
     <GenericName>Antiochus IV "The Righteous"</GenericName>
Index: binaries/data/mods/public/simulation/templates/units/sele_hero_seleucus_victor.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/sele_hero_seleucus_victor.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/sele_hero_seleucus_victor.xml	(copie de travail)
@@ -14,12 +14,6 @@
       <AuraDescription>Boosts War Elephant attack and speed +20% within his vision.</AuraDescription>
     </Aura1>
   </Auras>
-  <Builder>
-    <Rate>1.0</Rate>
-    <Entities datatype="tokens">
-      structures/{civ}_civil_centre
-    </Entities>
-  </Builder>
   <Identity>
     <Civ>sele</Civ>
     <GenericName>Seleucus I "The Victor"</GenericName>
Index: binaries/data/mods/public/simulation/templates/units/sele_infantry_archer_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/sele_infantry_archer_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/sele_infantry_archer_b.xml	(copie de travail)
@@ -2,8 +2,7 @@
 <Entity parent="template_unit_infantry_ranged_archer">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
-	  structures/sele_military_colony
+      structures/sele_military_colony
       structures/sele_library
       structures/sele_wonder
     </Entities>
Index: binaries/data/mods/public/simulation/templates/units/sele_infantry_javelinist_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/sele_infantry_javelinist_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/sele_infantry_javelinist_b.xml	(copie de travail)
@@ -2,8 +2,7 @@
 <Entity parent="template_unit_infantry_ranged_javelinist">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
-	  structures/sele_military_colony
+      structures/sele_military_colony
       structures/sele_library
       structures/sele_wonder
     </Entities>
Index: binaries/data/mods/public/simulation/templates/units/sele_infantry_spearman_2_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/sele_infantry_spearman_2_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/sele_infantry_spearman_2_b.xml	(copie de travail)
@@ -2,8 +2,7 @@
 <Entity parent="template_unit_infantry_melee_spearman">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
-	  structures/sele_military_colony
+      structures/sele_military_colony
       structures/sele_library
       structures/sele_wonder
     </Entities>
Index: binaries/data/mods/public/simulation/templates/units/sele_infantry_spearman_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/sele_infantry_spearman_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/sele_infantry_spearman_b.xml	(copie de travail)
@@ -2,8 +2,7 @@
 <Entity parent="template_unit_infantry_melee_pikeman">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
-	  structures/sele_military_colony
+      structures/sele_military_colony
       structures/sele_library
       structures/sele_wonder
     </Entities>
Index: binaries/data/mods/public/simulation/templates/units/sele_infantry_swordsman_b.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/sele_infantry_swordsman_b.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/sele_infantry_swordsman_b.xml	(copie de travail)
@@ -2,8 +2,7 @@
 <Entity parent="template_unit_infantry_melee_swordsman">
   <Builder>
     <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
-	  structures/sele_military_colony
+      structures/sele_military_colony
       structures/sele_library
       structures/sele_wonder
     </Entities>
Index: binaries/data/mods/public/simulation/templates/units/sele_support_female_citizen.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/sele_support_female_citizen.xml	(révision 16085)
+++ binaries/data/mods/public/simulation/templates/units/sele_support_female_citizen.xml	(copie de travail)
@@ -1,10 +1,5 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_unit_support_female_citizen">
-  <Builder>
-    <Entities datatype="tokens">
-      -structures/{civ}_civil_centre
-    </Entities>
-  </Builder>
   <Identity>
     <Civ>sele</Civ>
     <SpecificName>Syrías Gýnē</SpecificName>